Bug 1574988 - [volume_key]: backport patches required for rebuild on libcryptsetup.so.12
Summary: [volume_key]: backport patches required for rebuild on libcryptsetup.so.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: volume_key
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: pre-dev-freeze
: 7.7
Assignee: Jiri Kucera
QA Contact: Jan Houska
URL:
Whiteboard:
Depends On:
Blocks: 1654309 1475904 1593855 1630904 1630910 1660473
TreeView+ depends on / blocked
 
Reported: 2018-05-04 13:13 UTC by Ondrej Kozina
Modified: 2019-08-06 13:10 UTC (History)
4 users (show)

Fixed In Version: volume_key-0.3.9-9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:09:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2243 0 None None None 2019-08-06 13:10:06 UTC

Description Ondrej Kozina 2018-05-04 13:13:50 UTC
Description of problem:

Please backport upstream commit: 
 - ecef526a51c5a276681472fd6df239570c9ce518 (Stop using crypt_get_error)

Without it, volume_key can't be rebuild using new cryptsetup library

Comment 5 Jan Houska 2019-06-13 11:34:25 UTC
VERIFIED  - sanity only 

Proposed patch in upstream (ecef526a51c5a276681472fd6df239570c9ce518) was applied.

Comment 7 errata-xmlrpc 2019-08-06 13:09:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2243


Note You need to log in before you can comment on or make changes to this bug.